Bug 1434002 (CVE-2017-6463) - CVE-2017-6463 ntp: Authenticated DoS via Malicious Config Option
Summary: CVE-2017-6463 ntp: Authenticated DoS via Malicious Config Option
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-6463
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://bugs.ntp.org/show_bug.cgi?id=3387
Whiteboard:
Depends On: 1435163 1437714 1437715 1437716 1437717 1499184
Blocks: 1434021 1498774
TreeView+ depends on / blocked
 
Reported: 2017-03-20 14:11 UTC by Adam Mariš
Modified: 2019-09-29 14:08 UTC (History)
13 users (show)

Fixed In Version: ntp 4.2.8p10, ntp 4.3.94
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was discovered in the NTP server's parsing of configuration directives. A remote, authenticated attacker could cause ntpd to crash by sending a crafted message.
Clone Of:
Environment:
Last Closed: 2017-10-26 07:11:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3071 normal SHIPPED_LIVE Moderate: ntp security update 2017-10-26 11:03:10 UTC
Red Hat Product Errata RHSA-2018:0855 None None None 2018-04-10 08:26:58 UTC

Description Adam Mariš 2017-03-20 14:11:09 UTC
A vulnerability found in the NTP server allows an authenticated remote attacker to crash the daemon by sending an invalid setting via the :config directive.  The unpeer option expects a number or an address as an argument.  In case the value is "0", a segmentation fault occurs.

Affects: All versions of ntp, up to but not including ntp-4.2.8p10, and ntp-4.3.0 up to, but not including ntp-4.3.94.

Mitigation:

Properly monitor your ntpd instances, and auto-restart ntpd (without -g) if it stops running.

Comment 1 Adam Mariš 2017-03-20 14:11:15 UTC
Acknowledgments:

Name: the NTP project
Upstream: Cure53

Comment 2 Adam Mariš 2017-03-23 10:08:31 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1435163]

Comment 5 nupur priya 2017-04-27 07:39:56 UTC
when ntp-4.2.8p 10 will be released with this fix?

Comment 11 errata-xmlrpc 2017-10-26 07:04:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:3071 https://access.redhat.com/errata/RHSA-2017:3071

Comment 12 errata-xmlrpc 2018-04-10 08:26:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0855 https://access.redhat.com/errata/RHSA-2018:0855


Note You need to log in before you can comment on or make changes to this bug.